osl::eval::ml::ppair Namespace Reference

## Functions

void | makeOffsetIndex ()
int | inv (int offset_id)
int | swaplr (int offset_id)
int | swapud (int offset_id)
int | pindex (Player player, Ptype ptype)
void | makeTable ()
void | makeTableX ()
int | wrap9 (int y)
void | makeTableY ()

## Variables

CArray< int, 0x200 > | offset_index
PiecePair::IndexTable & | plain_table = PiecePair::plain_table
CArray< PiecePair::IndexTable, 10 > & | x_table = PiecePair::x_table
CArray< PiecePair::IndexTable, 10 > & | y_table = PiecePair::y_table
CArray3d< int, PTYPEO_SIZE, 12, PTYPEO_SIZE > | x_values [10]
CArray3d< int, PTYPEO_SIZE, 12, PTYPEO_SIZE > | y_values [10]

## Function Documentation

## inv()

int osl::eval::ml::ppair::inv | ( | int | offset_id | ) |

inline

Definition at line 45 of file piecePair.cc.

Referenced by osl::eval::ml::PiecePair::IndexTable::fillBW(), osl::eval::ml::PiecePair::IndexTable::fillDiffer(), osl::eval::ml::PiecePair::IndexTable::fillSame(), makeTable(), makeTableX(), makeTableY(), and swapud().

## makeOffsetIndex()

void osl::eval::ml::ppair::makeOffsetIndex | ( |  | ) |

Definition at line 38 of file piecePair.cc.

References offset_index, and osl::eval::ml::PiecePair::offsets.

Referenced by osl::eval::ml::PiecePair::init().

## makeTable()

void osl::eval::ml::ppair::makeTable | ( |  | ) |

Definition at line 63 of file piecePair.cc.

References osl::BLACK, inv(), pindex(), plain_table, osl::eval::ml::PiecePair::plain_table_size, osl::PTYPE_MAX, and osl::PTYPE_PIECE_MIN.

Referenced by osl::eval::ml::PiecePair::init().

## makeTableX()

void osl::eval::ml::ppair::makeTableX | ( |  | ) |

Definition at line 142 of file piecePair.cc.

References osl::BLACK, inv(), osl::eval::ml::PiecePair::offsets, pindex(), osl::eval::ml::PiecePair::plain_table_size, osl::PTYPE_MAX, osl::PTYPE_PIECE_MIN, swaplr(), swapud(), osl::WHITE, x_table, and osl::eval::ml::PiecePair::x_table_size.

Referenced by osl::eval::ml::PiecePair::init().

## makeTableY()

void osl::eval::ml::ppair::makeTableY | ( |  | ) |

Definition at line 227 of file piecePair.cc.

References osl::BLACK, inv(), osl::eval::ml::PiecePair::offsets, pindex(), osl::eval::ml::PiecePair::plain_table_size, osl::PTYPE_MAX, osl::PTYPE_PIECE_MIN, swaplr(), osl::WHITE, wrap9(), osl::eval::ml::PiecePair::x_table_size, y_table, and osl::eval::ml::PiecePair::y_table_size.

Referenced by osl::eval::ml::PiecePair::init().

## pindex()

int osl::eval::ml::ppair::pindex | ( | Player | player,
|  | Ptype | ptype )

Definition at line 62 of file piecePair.cc.

References osl::eval::ml::PiecePair::IndexTable::pindex().

Referenced by makeTable(), makeTableX(), and makeTableY().

## swaplr()

int osl::eval::ml::ppair::swaplr | ( | int | offset_id | ) |

inline

Definition at line 50 of file piecePair.cc.

Referenced by makeTableX(), makeTableY(), and swapud().

## swapud()

int osl::eval::ml::ppair::swapud | ( | int | offset_id | ) |

inline

Definition at line 57 of file piecePair.cc.

References inv(), and swaplr().

Referenced by makeTableX().

## wrap9()

int osl::eval::ml::ppair::wrap9 | ( | int | y | ) |

Definition at line 223 of file piecePair.cc.

Referenced by makeTableY().

## Variable Documentation

## offset_index

CArray<int, 0x200> osl::eval::ml::ppair::offset_index

Definition at line 33 of file piecePair.cc.

Referenced by osl::eval::ml::PiecePair::evalWithUpdate(), osl::eval::ml::PiecePair::evalWithUpdateCompiled(), and makeOffsetIndex().

## plain_table

PiecePair::IndexTable& osl::eval::ml::ppair::plain_table = PiecePair::plain_table

Definition at line 34 of file piecePair.cc.

Referenced by makeTable().

## x_table

CArray<PiecePair::IndexTable, 10>& osl::eval::ml::ppair::x_table = PiecePair::x_table

Definition at line 35 of file piecePair.cc.

Referenced by makeTableX().

## x_values

CArray3d<int, PTYPEO_SIZE, 12, PTYPEO_SIZE> osl::eval::ml::ppair::x_values[10]

Definition at line 290 of file piecePair.cc.

Referenced by osl::eval::ml::PiecePair::adjust12(), osl::eval::ml::PiecePair::adjust12One(), osl::eval::ml::PiecePair::compile(), osl::eval::ml::PiecePair::evalWithUpdateCompiled(), osl::eval::ml::PiecePair::sum12(), osl::eval::ml::PiecePair::sum12One(), and osl::eval::ml::PiecePair::valueCompiled().

## y_table

CArray<PiecePair::IndexTable, 10>& osl::eval::ml::ppair::y_table = PiecePair::y_table

Definition at line 36 of file piecePair.cc.

Referenced by makeTableY().

## y_values

CArray3d<int, PTYPEO_SIZE, 12, PTYPEO_SIZE> osl::eval::ml::ppair::y_values[10]

Definition at line 290 of file piecePair.cc.

Referenced by osl::eval::ml::PiecePair::adjust12(), osl::eval::ml::PiecePair::adjust12One(), osl::eval::ml::PiecePair::compile(), osl::eval::ml::PiecePair::evalWithUpdateCompiled(), osl::eval::ml::PiecePair::sum12(), osl::eval::ml::PiecePair::sum12One(), and osl::eval::ml::PiecePair::valueCompiled().